## pyopencl 2014.1

=== debian/changelog ===
pyopencl (2014.1-3) unstable; urgency=medium

  * Add dependency to appdirs and use it to create cache directories
    (Closes: #770692).
  * Update Standards-Version to 3.9.6; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 29 Nov 2014 11:43:47 +0100

pyopencl (2014.1-2) unstable; urgency=medium

  * Add build-time dependency on ocl-icd-opencl-dev (Closes: #761566).
  * Fix problems with debian/copyright pointed by lintian.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 04 Oct 2014 18:46:56 +0200

pyopencl (2014.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump pytools dependency to 2014.2.
  * Fix Vcs-Browser links, as pointed in #749489.
  * Remove merged fix-device-number.patch.
  * Change d/rules get-orig-source to pack *.orig.tar with xz, not with gzip.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 18 Jun 2014 19:15:35 +0200

pyopencl (2013.2+git20140421-1) unstable; urgency=low

  * New upstream version.
  * Move to main as Mesa and Beignet provides free OpenCL implementations
    (Closes: #723132).
  * Change python-pyopencl-doc recommendation of Python and Python 3 packages
    to suggestions to avoid installing unwanted packages (Closes: #739173).
  * Change dependencies on OpenCL ICDs to prefer Mesa - available in main
    and free (Closes: #739176).
  * Add missing dependency on python(3)-pkg-resources (Closes: #745194).
  * Update Standards-Version to 3.9.5; no changes necessary.
  * Remove warning about missing Mako from build phase.
  * Add patch to fix problem with enumerating devices.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 22 Apr 2014 16:47:51 +0200
