=== debian/rules ===
#! /usr/bin/make -f

PACKAGE_DIR=$(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pyopencl
INSTALL_DIR=$(CURDIR)/debian/tmp/
PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py --cl-enable-gl

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	set -e; \
	for python in $(PYTHON3); do \
		python$$python setup.py build ; \
		python$$python-dbg setup.py build ; \
	done

override_dh_auto_install:
	set -e; \
	for python in $(PYTHON2); do \
		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	set -e; \
	for python in $(PYTHON2); do \
		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	set -e; \
	for python in $(PYTHON3); do \
		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	set -e; \
	for python in $(PYTHON3); do \
		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	dh_numpy
	dh_numpy3

override_dh_installdocs:
# Required to build PyOpenCL symbols for documentation
	cp -Ri pyopencl.egg-info build/lib.*-*-$(firstword $(PYTHON2))/
	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html
	rm -rf build/lib.*-*-$(firstword $(PYTHON2))/pyopencl.egg-info 
	dh_installdocs

# Sphinx documentation is architecture-independent
override_dh_sphinxdoc-arch:

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pyopencl --dbg-package=python-pyopencl-dbg
	dh_strip -ppython3-pyopencl --dbg-package=python3-pyopencl-dbg
endif


MODULE_NAME=pyopencl
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=v2014.1
GIT_SUBMODULES=pyopencl/compyte
GIT_URL=http://git.tiker.net/trees/pyopencl.git 

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/doc/source/.gitignore
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
	tar caf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.xz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
