=== debian/changelog ===
pyopencl (2015.1-2build3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:46:00 +0000

pyopencl (2015.1-2build2) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:55:24 +0000

pyopencl (2015.1-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 21:25:06 +0000

pyopencl (2015.1-2) unstable; urgency=medium

  * Make the build reproducible by correctly passing changelog
    date to Sphinx - thanks to Juan Picca for patch (Closes: #788486).
  * Fix problems with d/copyright pointed by lintian.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 16 Jun 2015 19:41:30 +0200

pyopencl (2015.1-1) unstable; urgency=medium

  * New upstream release.
  * Make the build reproducible by passing changelog date to Sphinx.
  * Fix debian/watch to work with PyPI.
  * Add dh-python to Build-Depends.
  * Drop use-appdirs.patch, merged by upstream.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 09 Jun 2015 23:00:50 +0200
