=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: pyopencl
 Section: python
 Priority: optional
-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
+ dh-python,
  python-all-dev,
  python-all-dbg,
  python3-all-dev,
