=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 DEB_CXXFLAGS_MAINT_STRIP=-O2
 DEB_CXXFLAGS_MAINT_APPEND=-O0
 endif
+
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
+SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 %:
 	dh $@ --with python2,python3,sphinxdoc
@@ -47,7 +52,7 @@
 override_dh_installdocs:
 # Required to build PyOpenCL symbols for documentation
 	cp -Ri pyopencl.egg-info build/lib.*-*-$(firstword $(PYTHON2))/
-	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html
+	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
 	rm -rf build/lib.*-*-$(firstword $(PYTHON2))/pyopencl.egg-info 
 	dh_installdocs
 
@@ -67,7 +72,7 @@
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=v2014.1
+GIT_REVISION=v2015.1
 GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=http://git.tiker.net/trees/pyopencl.git
