=== debian/watch ===
version=3
http://pypi.debian.net/pyopencl/pyopencl-(.+)\.tar\.gz
