## pyopencl 2015.2.4

=== debian/changelog ===
pyopencl (2015.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop unnecessary python-versions.patch, refresh other patches.
  * Drop Boost Python dependency, add cffi dependency.
  * Ensure that generated cffi_build.py is removed on clean target.
  * Update Standards-Version to 3.9.7; no changes necessary.
  * Change Vcs-* links to use https.
  * Bump pytools dependency.
  * Add versions to some of Python dependencies, simplify other dependencies.
  * Update copyright.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 27 Mar 2016 19:06:41 +0200
