=== debian/control ===
--- 
+++ 
@@ -1,42 +1,46 @@
 Source: pyopencl
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  dh-python,
  python-all-dev,
  python-all-dbg,
  python3-all-dev,
  python3-all-dbg,
+ python-cffi (>= 1.1.0),
+ python-cffi-backend-dbg,
+ python3-cffi (>= 1.1.0),
+ python3-cffi-backend-dbg,
  python-setuptools,
  python3-setuptools,
  opencl-headers,
  ocl-icd-opencl-dev | opencl-dev,
- libboost-python-dev,
  mesa-common-dev,
  python-numpy (>= 1:1.4.1-4~),
  python3-numpy,
  python-sphinx (>= 1.0.7+dfsg),
  python3-sphinx (>= 1.0.7+dfsg),
- python-pytools (>= 2014.2),
- python3-pytools
-Standards-Version: 3.9.6
+ python-pytools (>= 2015.1.2),
+ python3-pytools (>= 2015.1.2)
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pyopencl
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-pyopencl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pyopencl.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pyopencl.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pyopencl.git
 
 Package: python-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  ocl-icd-libopencl1 | libopencl1,
- mesa-opencl-icd | beignet | opencl-icd,
+ mesa-opencl-icd | beignet-opencl-icd | opencl-icd,
  python-pkg-resources,
- python-appdirs,
+ python-appdirs (>= 1.4.0),
  python-numpy,
- python-pytools (>= 2014.2)
+ python-pytools (>= 2015.1.2),
+ python-six,
+ python-cffi (>= 1.1.0)
 Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
@@ -69,6 +73,7 @@
 Architecture: amd64 i386
 Depends: python-pyopencl (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+ python-cffi-backend-dbg
 Description: Python module to access OpenCL API (debug extensions)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -93,11 +98,13 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
- mesa-opencl-icd | beignet | opencl-icd,
+ mesa-opencl-icd | beignet-opencl-icd | opencl-icd,
  python3-pkg-resources,
- python3-appdirs,
+ python3-appdirs (>= 1.4.0),
  python3-numpy,
- python3-pytools (>= 2014.2)
+ python3-pytools (>= 2015.1.2),
+ python3-six,
+ python3-cffi (>= 1.1.0)
 Recommends: python-pyopencl-doc,
  python3-mako
 Suggests: python3-imaging-tk,
@@ -132,6 +139,7 @@
 Architecture: amd64 i386
 Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+ python3-cffi-backend-dbg
 Description: Python 3 module to access OpenCL API (debug extensions)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
