## pyopencl 2016.1+git20161130

=== debian/changelog ===
pyopencl (2016.1+git20161130-1) unstable; urgency=medium

  * New upstream release.
  * Add DEB_BUILD_PROFILES support for disabling documentation building .
  * Patch Sphinx documentation to allow for reproducible builds.
  * Do not try to fetch external Sphinx objects, use ones from Debian
    packages.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Mon, 05 Dec 2016 18:43:23 +0100

pyopencl (2016.1+git20161003-2) unstable; urgency=medium

  * Drop mips64el architecture as there is no OpenCL ICD for it.
  * Set pocl-opencl-icd as the first alternative dependency; it's
    the best default choice when there no other OpenCL ICD installed
    as it uses CPU and no specialized hardware.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 22 Nov 2016 22:48:00 +0100

pyopencl (2016.1+git20161003-1) unstable; urgency=low

  * Build for all architectures with available OpenCL ICD (Closes: #800634).
  * Set Multi-Arch: foreign for documentation package.
  * Set compatibility level to 10; no changes necessary.
  * Drop python3.patch, accepted upstream.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 28 Oct 2016 20:55:35 +0200

pyopencl (2016.1+git20160809-2) unstable; urgency=low

  * Add python3.patch for removing improper print (Closes: #837488).
  * Extract common licenses in debian/copyright.
  * Add hardening option "bindnow".

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 13 Sep 2016 18:38:01 +0200

pyopencl (2016.1+git20160809-1) unstable; urgency=low

  * New upstream release (Closes: #826025)
  * Move to pybuild as build system, simplifying d/rules.
  * Update Standards-Version to 3.9.8; no changes necessary.
  * Build Sphinx documentation using Python 3, rebuild with new Sphinx.
  * Update debian/copyright links, after change in upstream.
  * Drop dependency on python-cffi - path by Stefano Rivera (Closes: #833149).
  * Mako is used during building documentation so add it as build-dependency.
  * Change dependency to opencl-c-headers.
  * Use debian/clean to clean CFFI-related build files.
  * Add new software license to debian/copyright.
  * Update debian/copyright links as upstream changed them.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 11 Sep 2016 14:41:38 +0200
