=== debian/control ===
--- 
+++ 
@@ -2,28 +2,32 @@
 Section: python
 Priority: optional
 Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-python,
  python-all-dev,
  python-all-dbg,
  python3-all-dev,
  python3-all-dbg,
+ python3-doc <!nodoc>,
+ python-numpy-doc <!nodoc>,
+ python-mako-doc <!nodoc>,
  python-cffi (>= 1.1.0),
  python-cffi-backend-dbg,
  python3-cffi (>= 1.1.0),
  python3-cffi-backend-dbg,
  python-setuptools,
  python3-setuptools,
- opencl-headers,
+ opencl-c-headers,
  ocl-icd-opencl-dev | opencl-dev,
  mesa-common-dev,
  python-numpy (>= 1:1.4.1-4~),
  python3-numpy,
- python-sphinx (>= 1.0.7+dfsg),
- python3-sphinx (>= 1.0.7+dfsg),
+ python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-mako,
  python-pytools (>= 2015.1.2),
  python3-pytools (>= 2015.1.2)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pyopencl
@@ -31,17 +35,16 @@
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pyopencl.git
 
 Package: python-pyopencl
-Architecture: amd64 i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  ocl-icd-libopencl1 | libopencl1,
- mesa-opencl-icd | beignet-opencl-icd | opencl-icd,
+ pocl-opencl-icd | opencl-icd,
  python-pkg-resources,
  python-appdirs (>= 1.4.0),
  python-numpy,
  python-pytools (>= 2015.1.2),
- python-six,
- python-cffi (>= 1.1.0)
-Recommends: python-pyopencl-doc,
+ python-six
+Recommends: python-pyopencl-doc <!nodoc>,
  python-opengl,
  python-mako
 Suggests: python-imaging-tk,
@@ -70,7 +73,7 @@
 Package: python-pyopencl-dbg
 Section: debug
 Priority: extra
-Architecture: amd64 i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: python-pyopencl (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-cffi-backend-dbg
@@ -95,17 +98,16 @@
  This package contains debug extensions build for the Python debug interpreter.
 
 Package: python3-pyopencl
-Architecture: amd64 i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
- mesa-opencl-icd | beignet-opencl-icd | opencl-icd,
+ pocl-opencl-icd | opencl-icd,
  python3-pkg-resources,
  python3-appdirs (>= 1.4.0),
  python3-numpy,
  python3-pytools (>= 2015.1.2),
- python3-six,
- python3-cffi (>= 1.1.0)
-Recommends: python-pyopencl-doc,
+ python3-six
+Recommends: python-pyopencl-doc <!nodoc>,
  python3-mako
 Suggests: python3-imaging-tk,
  python3-opengl,
@@ -136,7 +138,7 @@
 Package: python3-pyopencl-dbg
 Section: debug
 Priority: extra
-Architecture: amd64 i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3-cffi-backend-dbg
@@ -163,8 +165,13 @@
 Package: python-pyopencl-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
+Recommends: python3-doc,
+ python-numpy-doc,
+ python-mako-doc
 Suggests: python-pyopencl,
  python3-pyopencl
 Description: module to access OpenCL parallel computation API (documentation)
