## pyopencl 2017.2.2

=== debian/changelog ===
pyopencl (2017.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #884519).
  * Update dependency on pytools to 2017.6.
  * Update Standards-Version to 4.1.3; no changes necessary.
  * Update d/rules get-orig-source to remove all git-related files.
  * Update copyright for file pyopencl/algorithm.py
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 29 Dec 2017 22:38:34 +0100

pyopencl (2017.2-1) unstable; urgency=medium

  * New upstream release (Closes: #880583).
  * Update Standards-Version to 4.1.2.
    * Use DEB_BUILD_OPTIONS for nodoc option (Closes: #880559).
  * Add copyright for new file pyopencl/cltypes.py
  * Sort debian/copyright file.
  * Update dependency on pytools.
  * Use dpkg's pkg-info.mk instead of dpkg-parsechangelog.
  * Refresh patches.
  * Change Priority of debugging packages to optional.
  * Change debian/watch file to use HTTPS, as suggested by lintian.
  * Use HTTPS URL of upstream URL.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 09 Dec 2017 18:46:46 +0100
