=== debian/control ===
--- 
+++ 
@@ -25,9 +25,9 @@
  python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-mako,
- python-pytools (>= 2015.1.2),
- python3-pytools (>= 2015.1.2)
-Standards-Version: 3.9.8
+ python-pytools (>= 2017.6),
+ python3-pytools (>= 2017.6)
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pyopencl
@@ -42,7 +42,7 @@
  python-pkg-resources,
  python-appdirs (>= 1.4.0),
  python-numpy,
- python-pytools (>= 2015.1.2),
+ python-pytools (>= 2017.6),
  python-six
 Recommends: python-pyopencl-doc <!nodoc>,
  python-opengl,
@@ -72,7 +72,6 @@
 
 Package: python-pyopencl-dbg
 Section: debug
-Priority: extra
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: python-pyopencl (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
@@ -105,7 +104,7 @@
  python3-pkg-resources,
  python3-appdirs (>= 1.4.0),
  python3-numpy,
- python3-pytools (>= 2015.1.2),
+ python3-pytools (>= 2017.6),
  python3-six
 Recommends: python-pyopencl-doc <!nodoc>,
  python3-mako
@@ -137,7 +136,6 @@
 
 Package: python3-pyopencl-dbg
 Section: debug
-Priority: extra
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
