=== debian/watch ===
version=3
https://pypi.debian.net/pyopencl/pyopencl-(.+)\.tar\.gz
