## pyopencl 2018.1.1

=== debian/changelog ===
pyopencl (2018.1.1-2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:36:30 +0000

pyopencl (2018.1.1-2) unstable; urgency=medium

  [ Stuart Prescott <stuart@debian.org> ]
  * Fix FTBFS by updating pybuild call to 'python3' when building docs, with
    thanks to Rebecca N Palmer for diagnosing the problem and suggesting the
    solution (Closes: #893050).
  * Ensure persistent dict has somewhere to write so that documentation can
    be built on the buildd (Closes: #896521)

  [ Tomasz Rybak ]
  * Package is now group managed.
  * Update Vcs-* fields to point to Salsa.
  * Update Standards-Version to 4.1.4
    * Change d/watch to use upstream git repository URL.
  * Change d/copyright Format field to use https protocol.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 24 Apr 2018 20:29:03 +0200

pyopencl (2018.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update my email to @debian.org.
  * Add Multi-Arch: no for all binary packages.
  * Update copyright for file tests/test_clrandom.py
  * Reorder debian/copyright, per tip from lintian.

 -- Tomasz Rybak <serpent@debian.org>  Thu, 08 Mar 2018 19:54:39 +0100
