=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pyopencl
 Section: python
 Priority: optional
-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
+Uploaders: Tomasz Rybak <serpent@debian.org>
 Build-Depends: debhelper (>= 10),
  dh-python,
  python-all-dev,
@@ -27,15 +28,16 @@
  python3-mako,
  python-pytools (>= 2017.6),
  python3-pytools (>= 2017.6)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pyopencl
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pyopencl.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pyopencl.git
+Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
+Vcs-Browser: https://salsa.debian.org/opencl-team/python-pyopencl
 
 Package: python-pyopencl
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Multi-Arch: no
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | opencl-icd,
@@ -73,6 +75,7 @@
 Package: python-pyopencl-dbg
 Section: debug
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Multi-Arch: no
 Depends: python-pyopencl (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-cffi-backend-dbg
@@ -98,6 +101,7 @@
 
 Package: python3-pyopencl
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Multi-Arch: no
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | opencl-icd,
@@ -137,6 +141,7 @@
 Package: python3-pyopencl-dbg
 Section: debug
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Multi-Arch: no
 Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3-cffi-backend-dbg
