=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,10 @@
 SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
 SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
+# persistent dict needs a writable directory and HOME on the buildd is not
+export CACHE=$(CURDIR)/.cache/
+export XDG_CACHE_HOME=$(CACHE)
+
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
 
@@ -35,7 +39,7 @@
 
 override_dh_installdocs:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	pybuild --build -i pythonX.Y -s custom --build-args 'make -C {dir}/doc html'
+	pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
 	dh_installdocs
 endif
 
@@ -56,8 +60,11 @@
 #	dh_strip -ppython3-pyopencl --ddeb-migration='python3-pyopencl-dbg (<< 2015.1-1)'
 endif
 
+override_dh_clean:
+	dh_clean
+	rm -rf $(CACHE)
 
-GIT_REVISION=v2017.2.2
+GIT_REVISION=v2018.1.1
 GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=https://git.tiker.net/trees/pyopencl.git
