=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" https://git.tiker.net/trees/pyopencl.git refs/tags/v([\d\.]+) debian uupdate
